org.eclipse.ease.ui.completion

## Class ScriptCompletionProposal

- java.lang.Object
- - org.eclipse.ease.ui.completion.ScriptCompletionProposal

All Implemented Interfaces:
  Comparable<ScriptCompletionProposal>, IContentProposal, ICompletionProposal, ICompletionProposalExtension5, ICompletionProposalExtension6

    public class ScriptCompletionProposal
    extends Object
    implements ICompletionProposal, ICompletionProposalExtension5, ICompletionProposalExtension6, IContentProposal, Comparable<ScriptCompletionProposal>

### Field Summary

Fields
`static int` `ORDER_CLASS`
`static int` `ORDER_DEFAULT`
`static int` `ORDER_FIELD`
`static int` `ORDER_METHOD`
`static int` `ORDER_PACKAGE`

### Constructor Summary

Constructors
Constructor and Description
`ScriptCompletionProposal(ICompletionContext context, String displayString, String replacementString, ImageDescriptor imageDescriptor, int sortOrder, IHelpResolver helpResolver)`
`ScriptCompletionProposal(ICompletionContext context, StyledString styledString, String replacementString, ImageDescriptor imageDescriptor, int sortOrder, IHelpResolver helpResolver)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `apply(IDocument document)`
`int` `compareTo(ScriptCompletionProposal o)`
`String` `getAdditionalProposalInfo()`
`Object` `getAdditionalProposalInfo(IProgressMonitor monitor)`
`String` `getContent()`
`IContextInformation` `getContextInformation()`
`int` `getCursorPosition()`
`String` `getDescription()`
`String` `getDisplayString()`
`Image` `getImage()`
`String` `getLabel()`
`Point` `getSelection(IDocument document)`
`StyledString` `getStyledDisplayString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ORDER_FIELD

    public static final int ORDER_FIELD

See Also:
  Constant Field Values

#### ORDER_METHOD

    public static final int ORDER_METHOD

See Also:
  Constant Field Values

#### ORDER_PACKAGE

    public static final int ORDER_PACKAGE

See Also:
  Constant Field Values

#### ORDER_CLASS

    public static final int ORDER_CLASS

See Also:
  Constant Field Values

#### ORDER_DEFAULT

    public static final int ORDER_DEFAULT

See Also:
  Constant Field Values

### Constructor Detail

#### ScriptCompletionProposal

    public ScriptCompletionProposal(ICompletionContext context,
                                    String displayString,
                                    String replacementString,
                                    ImageDescriptor imageDescriptor,
                                    int sortOrder,
                                    IHelpResolver helpResolver)

#### ScriptCompletionProposal

    public ScriptCompletionProposal(ICompletionContext context,
                                    StyledString styledString,
                                    String replacementString,
                                    ImageDescriptor imageDescriptor,
                                    int sortOrder,
                                    IHelpResolver helpResolver)

### Method Detail

#### compareTo

    public int compareTo(ScriptCompletionProposal o)

Specified by:
  `compareTo` in interface `Comparable<ScriptCompletionProposal>`

#### getDisplayString

    public String getDisplayString()

Specified by:
  `getDisplayString` in interface `ICompletionProposal`

#### getImage

    public Image getImage()

Specified by:
  `getImage` in interface `ICompletionProposal`

#### getStyledDisplayString

    public StyledString getStyledDisplayString()

Specified by:
  `getStyledDisplayString` in interface `ICompletionProposalExtension6`

#### apply

    public void apply(IDocument document)

Specified by:
  `apply` in interface `ICompletionProposal`

#### getSelection

    public Point getSelection(IDocument document)

Specified by:
  `getSelection` in interface `ICompletionProposal`

#### getAdditionalProposalInfo

    public String getAdditionalProposalInfo()

Specified by:
  `getAdditionalProposalInfo` in interface `ICompletionProposal`

#### getAdditionalProposalInfo

    public Object getAdditionalProposalInfo(IProgressMonitor monitor)

Specified by:
  `getAdditionalProposalInfo` in interface `ICompletionProposalExtension5`

#### getContextInformation

    public IContextInformation getContextInformation()

Specified by:
  `getContextInformation` in interface `ICompletionProposal`

#### getContent

    public String getContent()

Specified by:
  `getContent` in interface `IContentProposal`

#### getCursorPosition

    public int getCursorPosition()

Specified by:
  `getCursorPosition` in interface `IContentProposal`

#### getLabel

    public String getLabel()

Specified by:
  `getLabel` in interface `IContentProposal`

#### getDescription

    public String getDescription()

Specified by:
  `getDescription` in interface `IContentProposal`